--imgformat=PNG 
--title="$HOSTNAME$ - $SERVICENAME$" 
--rigid 
--base=1000 
--height=120 
--width=500 
--alt-autoscale-max 
--units-exponent=0 
--vertical-label="Units/25 - Errors"
--slope-mode 
# The four values we're actually interested in
DEF:xp="$RRD_FILENAME$":pathes:AVERAGE 
DEF:xep="$RRD_FILENAME$":err_pathes:AVERAGE 
DEF:err="$RRD_FILENAME$":errors:AVERAGE 
DEF:xi="$RRD_FILENAME$":if_count:AVERAGE 
DEF:xie="$RRD_FILENAME$":if_errs:AVERAGE 
# Derived values (prepare for stacking)
CDEF:i=xi,-0.04,*
CDEF:p=xp,-0.04,*,i,+
CDEF:ep=xep,-0.04,*,i,+
CDEF:ie=xie,err,+
# Draw the AREAs, later ones obscuring the former,
# and mix in text output as appropriate:
COMMENT:"Units\: "
AREA:p#999999:"Pathes "
GPRINT:xp:LAST:"Now\:%4.0lf"
GPRINT:xp:MIN:"Min\:%4.0lf"
GPRINT:xp:MAX:"Max\:%4.0lf"
AREA:ep#FF9999:"in error"
GPRINT:xep:LAST:"Now\:%3.0lf"
GPRINT:xep:MAX:"Max\:%3.0lf\n"
COMMENT:"       "
AREA:i#BBBBFF:"Interf."
GPRINT:xi:LAST:"Now\:%4.0lf"
GPRINT:xi:MIN:"Min\:%4.0lf"
GPRINT:xi:MAX:"Max\:%4.0lf\n"
LINE1:p#000000:"" 
COMMENT:"Errors\:"
AREA:ie#FF00DD:"on i/f "
GPRINT:xie:LAST:"Now\:%4.0lf"
COMMENT:"        "
GPRINT:xie:MAX:"Max\:%4.0lf"
AREA:err#FF0000:"in path "
GPRINT:err:LAST:"Now\:%3.0lf"
GPRINT:err:MAX:"Max\:%3.0lf"
LINE1:ie#000000:"" 
